<div class="slider-container">
  <h2 *ngIf="this.title !== undefined">{{ this.title | translate }}</h2>
  <div class="slider-wrapper">
    <mat-form-field appearance="standard">
      <input
        matInput
        class="input"
        [(ngModel)]="this.value"
        [formControl]="input"
        type="number"
        step="{{ this.step }}"
        [disabled]="disabled"
        (change)="onChangeInput(slider.value)"
      />
      <span matSuffix class="unit">{{ this.unit }}</span>
      <mat-error>Invalid value.</mat-error>
    </mat-form-field>
    <span>{{ numberWithCommas(slider.min) }}</span>
    <mat-slider
      #slider
      class="slider"
      color="primary"
      min="{{ this.min }}"
      max="{{ this.max }}"
      step="{{ this.step }}"
      value="{{ this.value }}"
      (input)="onChangeInput(slider.value)"
      [disabled]="disabled"
    >
    </mat-slider>
    <span>{{ numberWithCommas(slider.max) }}</span>
  </div>
</div>
